/*****************************************************************************
 *
 * Main entry into the application.
 *
 *****************************************************************************
 * FileName:        main.c
 * Dependencies:    
 * Processor:       
 * Compiler:       	
 * Linker:          
 * Company:         Microchip Technology Incorporated
 *
 * Software License Agreement
 *
 * The software supplied herewith by Microchip Technology Incorporated
 * (the "Company") is intended and supplied to you, the Company's
 * customer, for use solely and exclusively with products manufactured
 * by the Company. 
 *
 * The software is owned by the Company and/or its supplier, and is 
 * protected under applicable copyright laws. All rights are reserved. 
 * Any use in violation of the foregoing restrictions may subject the 
 * user to criminal sanctions under applicable laws, as well as to 
 * civil liability for the breach of the terms and conditions of this 
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES, 
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED 
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT, 
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR 
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Ross Fosler			06/07/05	...	
 * 
 *****************************************************************************/

#include	<p24FJ128GA010.h>
#include	"lcd.h"


//********************************************************************************

//***********************************************************
// STEP 5:
// Change text to your name
//***********************************************************/
const unsigned char my_name[] = "Your Name";
const unsigned char * pname;


// Extra Credit Variables
const unsigned char my_banner[][24] = {"Banner 1", "Banner 2", "Banner 3"};		// Banners to display
const unsigned char * pban;														// Pointer to char of current banner
unsigned int num_banners;														// Number of banners to display
unsigned int i;																	// Banner counter
unsigned int wait_time = 0;														// Time delay counter
//********************************************************************************



int main(void)
{

	// Setup the LCD
	mLCDInit();

	// Setup string pointers and lengths
	pname = my_name;

	// Setup extra credit variables
	pban = *my_banner;
	num_banners = sizeof(my_banner)/24;


	while (1) {
		// Process LCD events
		LCDProcessEvents();


		// Display name string once at reset
		if ((!mLCDIsBusy()) && (*pname)) {
			mLCDPutChar(*pname++);
		}


//***********************************************************
// Extra credit:
// Uncomment this code and modify it to display the rotating banners in my_banner.
// Useful variables and functions: pban, ban_len, num_banners, wait_time, mLCDPutChar(char), mLCDClear()
// ************THIS MAY BE TOO LONG FOR A LAB ************
//***********************************************************/
//		// Display rotating banners
//		if (!mLCDIsBusy()){
//			if(*pban) {						//Print current banner
//				mLCDPutChar(*pban);
//				pban++;
//			}else if(!wait_time){			//Increment to next banner after some time
//				mLCDClear();
//				if(i >= num_banners) i=0;
//				pban = my_banner[i++];
//			}
//			
//			wait_time++;
//		}
//***********************************************************/
		
	}
}
